View Issue Details

IDProjectCategoryView StatusLast Update
00291862.x IDE BugsResource TreePublic2018-10-25 17:04
ReporterDanAssigned ToChris Harrison 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0029186: Resource Tree: Able to give configs almost any name you wish, becomes an issue when using this in code
DescriptionWithin the Resource Tree, when you click to create a config you're able to give it almost any name you wish, which is to an extent fine for the resource tree, becomes an issue when using this config name in code - especially with the new per-config macros support in 2.1.4.

Expected: We restrict the config names allowed to the same extent that we do other resources.

Steps To Reproduce1. Start GMS2 and create a new project.
2. Right-click Configs in the resource tree, left-click Add in the context menu.
3. Type in a config name of 11my config%44$ (note the space also) and then confirm this.
4. Observe the dialog allows this.
5. (Optional) Try using that config name in a macro definition...

Repro: 100%
TagsNo tags attached.
2.x IDE Found In2.1.3.273
2.x Runtime Found In2.1.3.189
2.x IDE Verified In2.2.1.355
2.x Runtime Verified In2.2.1.268

Activities

Dan

2018-03-21 12:29

Adminstrator  

Chris Harrison

2018-06-13 14:48

Developer   ~0060229

Note that a warning will be issued in the console if a project contains a config name previously accepted.